## ros-eloquent-tlsf-cpp 0.8.2

=== debian/changelog ===
ros-eloquent-tlsf-cpp (0.8.2-1bionic) bionic; urgency=high

  * Fix clang thread safety warning (#86 <https://github.com/ros2/realtime_support/issues/86>)
  * disable intra process test until intra process manager fixed up (#84 <https://github.com/ros2/realtime_support/issues/84>)
  * Contributors: Anas Abou Allaban, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-eloquent-tlsf-cpp (0.8.1-1bionic) bionic; urgency=high

  * Fix Intra-Process API (#80 <https://github.com/ros2/realtime_support/issues/80>)
  * Contributors: Alberto Soragna

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-tlsf-cpp (0.8.0-1bionic) bionic; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-tlsf-cpp (0.7.1-1bionic) bionic; urgency=high

  * Changes to avoid deprecated API's (#77 <https://github.com/ros2/realtime_support/issues/77>)
  * Avoid deprecated publish signature (#76 <https://github.com/ros2/realtime_support/issues/76>)
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-tlsf-cpp (0.7.0-1bionic) bionic; urgency=high

  * Move away from deprecated rclcpp APIs (#74 <https://github.com/ros2/realtime_support/issues/74>)
  * Update for parameter idiom. (#70 <https://github.com/ros2/realtime_support/issues/70>)
  * Contributors: Emerson Knapp, Michael Carroll

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-tlsf-cpp (0.6.0-1bionic) bionic; urgency=high

  * Fix spacing to comply with uncrustify 0.67 (#67 <https://github.com/ros2/realtime_support/issues/67>)
  * Contributors: Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 20 Nov 2018 06:00:00 -0000

ros-eloquent-tlsf-cpp (0.5.0-1bionic) bionic; urgency=high

  * Update the maintainer (#65 <https://github.com/ros2/realtime_support/issues/65>)
  * Comply with new rclcpp subscription templates (#64 <https://github.com/ros2/realtime_support/issues/64>)
  * Fix non return code issue for main() function (#63 <https://github.com/ros2/realtime_support/issues/63>)
  * initial_values in node constructor (#62 <https://github.com/ros2/realtime_support/issues/62>)
  * Add cli args to Node constructor (#61 <https://github.com/ros2/realtime_support/issues/61>)
  * Fix test_tlsf__rmw_opensplice_cpp (#59 <https://github.com/ros2/realtime_support/issues/59>)
  * Contributors: Chris Lalancette, Karsten Knese, Shane Loretz, cshen, michielb

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-eloquent-tlsf-cpp (0.4.0-1bionic) bionic; urgency=high

  * Update for rclcpp namespace removals (#58)
    
    Remove ::publisher:: namespace
    
    Remove node:: namespace
    
    Remove utilities:: namespace
  * Update style to match latest uncrustify (#57 <https://github.com/ros2/realtime_support/issues/57>)
  * 0.0.3
  * Add missing dependencies on rmw and std_msgs (#55 <https://github.com/ros2/realtime_support/issues/55>)
  * Bump version for package consistency within repo (#54 <https://github.com/ros2/realtime_support/issues/54>)
  * Use CMAKE_X_STANDARD and check compiler rather than platform
  * Pass namespace to rclcpp::Node constructors (#53 <https://github.com/ros2/realtime_support/issues/53>)
  * Use rmw implementation (#51 <https://github.com/ros2/realtime_support/issues/51>)
  * C++14 (#50 <https://github.com/ros2/realtime_support/issues/50>)
  * No need for test_depend if already exec_depend (#49 <https://github.com/ros2/realtime_support/issues/49>)
  * Consistent naming when using CMake variable for rmw implementation (#48 <https://github.com/ros2/realtime_support/issues/48>)
  * Fix spelling error in target suffix (#47 <https://github.com/ros2/realtime_support/issues/47>)
  * from ros2/rename_executable
  * Add tlsf prefix to allocator_example target (#46 <https://github.com/ros2/realtime_support/issues/46>)
  * Remove usage of internal variables and noops (#43 <https://github.com/ros2/realtime_support/issues/43>)
  * Update schema url
  * Add schema to manifest files
  * Require CMake 3.5 (#42 <https://github.com/ros2/realtime_support/issues/42>)
  * Clean up allocator for gcc 5.3 (#40 <https://github.com/ros2/realtime_support/issues/40>)
  * Disable on Android (#41 <https://github.com/ros2/realtime_support/issues/41>)
  * Clean up workaround for old gcc compiler
  * Remove warnings on g++5.3
  * Use RCL_ASSERT_RMW_ID_MATCHES to ensure correct rmw implementation is being used (#39 <https://github.com/ros2/realtime_support/issues/39>)
  * Remove unneeded get_rmw_typesupport call (#35 <https://github.com/ros2/realtime_support/issues/35>)
  * Use CTest BUILD_TESTING (#38 <https://github.com/ros2/realtime_support/issues/38>)
  * Remove non-existent target dependency (#36 <https://github.com/ros2/realtime_support/issues/36>)
  * Remove extraneous argument (#34 <https://github.com/ros2/realtime_support/issues/34>)
  * Use target suffix for rclcpp (#32 <https://github.com/ros2/realtime_support/issues/32>)
  * Export the headers for isolated build (#31 <https://github.com/ros2/realtime_support/issues/31>)
  * Export tlsf package (#30 <https://github.com/ros2/realtime_support/issues/30>)
  * Fix style
  * Remove obsolete lines
  * Merge pull request  from ros2/waitset_handle
  * Refactor for executor arguments change (#18 <https://github.com/ros2/realtime_support/issues/18>)
  * Ignore fastrtps (#28 <https://github.com/ros2/realtime_support/issues/28>)
  * Uncrustify (#25 <https://github.com/ros2/realtime_support/issues/25>)
  * Fix name of test class (#23 <https://github.com/ros2/realtime_support/issues/23>)
  * Add rmw impl suffix to test names (#19 <https://github.com/ros2/realtime_support/issues/19>)
  * Reorganize realtime_support repository (#16)
    
    Add tlsf_cpp repo

