=== debian/control ===
Source: ros-eloquent-tlsf-cpp
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-rclcpp, ros-eloquent-rmw, ros-eloquent-rmw-implementation-cmake, ros-eloquent-std-msgs, ros-eloquent-tlsf, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-tlsf-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-cmake, ros-eloquent-rclcpp, ros-eloquent-rmw, ros-eloquent-std-msgs, ros-eloquent-tlsf, ros-eloquent-ros-workspace
Description: C++ stdlib-compatible wrapper around tlsf allocator and ROS2 examples
